LocalVariableInfo (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: LocalVariableInfo
Keywords: java.lang.classfile.attribute.LocalVariableInfo interface

# Interface LocalVariableInfo

public sealed interface LocalVariableInfo
`LocalVariableInfo` is a preview API of the Java platform.
Programs can only use `LocalVariableInfo` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a single local variable in the `LocalVariableTableAttribute`PREVIEW.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `length()`
  Returns the length of the region of the code array in which this variable is in scope..
  `Utf8EntryPREVIEW`
  `name()`
  Returns the name of the local variable.
  `int`
  `slot()`
  Returns the index into the local variable array of the current frame which holds this local variable.
  `int`
  `startPc()`
  Returns the index into the code array (inclusive) at which the scope of this variable begins.
  `Utf8EntryPREVIEW`
  `type()`
  Returns the field descriptor of the local variable.
  `default ClassDesc`
  `typeSymbol()`
  Returns the field descriptor of the local variable.

- ## Method Details

  - ### startPc

    int startPc()
    Returns the index into the code array (inclusive) at which the scope of this variable begins.
    Returns:
      the index into the code array (inclusive) at which the scope of this variable begins

  - ### length

    int length()
    Returns the length of the region of the code array in which this variable is in scope..
    Returns:
      the length of the region of the code array in which this variable is in scope.

  - ### name

    Utf8EntryPREVIEW name()
    Returns the name of the local variable.
    Returns:
      the name of the local variable

  - ### type

    Utf8EntryPREVIEW type()
    Returns the field descriptor of the local variable.
    Returns:
      the field descriptor of the local variable

  - ### typeSymbol

    default ClassDesc typeSymbol()
    Returns the field descriptor of the local variable.
    Returns:
      the field descriptor of the local variable

  - ### slot

    int slot()
    Returns the index into the local variable array of the current frame which holds this local variable.
    Returns:
      the index into the local variable array of the current frame which holds this local variable